cURL
curl --request GET \
--url https://{tenant}.stamp.eu/rest/dashboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.stamp.eu/rest/dashboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.stamp.eu/rest/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kpis": {
"employees": 1,
"present": 123,
"absent": 123,
"open_tasks": 123
},
"inbox": [
"<unknown>"
],
"live": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>",
"unit": "<string>",
"department": "<string>",
"clocked_in_at": "<string>",
"duration_minutes": 123
}
],
"team_status": {
"missing_clockin": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>",
"delay_minutes": 123,
"shift_start": "<string>"
}
],
"clocked_in": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>",
"clocked_in_at": "<string>",
"duration_minutes": 123
}
],
"not_in_office": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>",
"leave_type": "<string>",
"until": "<string>"
}
]
},
"absences": {
"holidays": "<string>",
"upcoming": "<string>"
},
"vacation": {
"total": 123,
"used": 123,
"remaining": 123
},
"birthdays": [
"<unknown>"
],
"mood_summary": [
{
"date": "<string>",
"average_rating": 123,
"count": 123
}
],
"employee": {
"timer": {
"clocked_in": true,
"last_event_timestamp": "<string>",
"today_work_seconds": 123,
"today_pause_seconds": 123,
"target_duration_seconds": 123,
"weekly_target_seconds": 123,
"weekly_seconds": 123
},
"week_overview": [
{
"date": "<string>",
"weekday": "<string>",
"actual_seconds": 123,
"target_seconds": 123
}
],
"overtime": {
"balance_seconds": 123,
"earned_month_seconds": 123,
"compensated_month_seconds": 123,
"year_month": "<string>"
},
"my_requests": [
{}
],
"mood_history": [
{
"date": "<string>",
"rating": "<string>"
}
]
},
"attendance": {
"rate": 123,
"trend": 123,
"heatmap": [
{
"weekday": 123,
"hour": 123,
"value": 123
}
]
},
"clock_channels_today": {
"terminal": 123,
"mobile": 123
},
"today_overview": [
{
"employee_id": "<string>",
"code": "<string>",
"name": "<string>",
"department": "<string>",
"status": "<string>",
"clock_in": "<string>",
"clock_out": "<string>"
}
],
"intraday_today": [
{
"hour": 123,
"count": 123
}
],
"compliance_week": {
"count": 123,
"employees": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"next_holiday": {
"date": "<string>",
"name": "<string>",
"half_day": true
},
"vacation_expiry_risk": [
{
"employee_id": "<string>",
"name": "<string>",
"remaining_days": 123,
"expires_at": "<string>"
}
],
"shift_coverage_today": {
"units": [
{
"unit_id": "<string>",
"name": "<string>",
"assigned": 123,
"required": 123,
"open": 123
}
]
}
}{
"message": "<string>"
}Konfiguration
Dashboard-Daten
GET
/
dashboard
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1 · object[]
- Option 2 · object[]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I